%define	name	menu-cache
%define	version	0.2.2
%define	release	%mkrel 1
%define	libname %mklibname %{name}
%define	develname %{libname}-devel

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	caches to speed up application menus
Source0:	%{name}-%{version}.tar.gz
URL:            http://lxde.sourceforge.net/
Packager:	KDulcimer <kdulcimer@gmail.com>
Group:		Applications/System
License:	GPL
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
Libmenu-cache is a library creating and utilizing caches to speed up
the manipulation for freedesktop.org defined application menus.
It can be used as a replacement of libgnome-menu of gnome-menus.

Advantages:
1. Shorten time for loading menu entries.
2. Ease of use. (API is very similar to that of libgnome-menu)
3. Lightweight runtime library. (Parsing of the menu definition files 
   are done by menu-cache-gen when the menus are really changed.)
4. Less unnecessary and complicated file monitoring.
5. Heavily reduced disk I/O.

Spec:

Cached menus are localized and stored in ~/.cache/menus/file_name.
file_name is a md5 hash of the name of the original menu +
                                       some environment variable +
                                       locale name.

Since most data in a menu are plain text (names, description comments,
icon names,...etc.), the cached file is in plain text rather than binary
to prevent byte order problems.

Format of the cached menu file, line by line.
(Spaces before the lines are for easier demostration of hierarchy.
 There are no spaces in the real cached file.):

version number (major.minor)
menu name>
number of files to monitor
list of files/dirs which require monitor (prefix D or F indicate whether it
                                          is a dir or file)
list of DE names used in this menu other than the known DEs (LXDE, GNOME,
                                                             XFCE, KDE, ROX),
seperated by ;
+id of top menu dir (+ means dir entry, and - means an application entry)
  title
  comment
  icon name
  menu directory file basename
  dir in which menu directory file locates (use this number as index to get
                                            the string from array of preceding
                                            list of monitored files)
    -application desktop id (NOTE: desktop id is not necessarily the basename
                             of desktop file)
     title
     comment
     icon name
     app desktop file basename, empty means the same as desktop id.
     dir in which the desktop file localtes (use this number as index to get
                                             the string from array of
                                             preceding list of monitored files)
     generic name
     exec command line
     bitmask flags: (use terminal)|(use startup notification)
     show_in_flags: bitwise or of masks for various DEs.
    +sub dir id
     title
     comment
     icon name

%package -n %{libname}
Summary:	%{summary}
Group:		%{group}
Requires:	%{name}

%description -n %{libname}
Libraries for %{name}

%package -n %{develname}
Summary:	%{summary}
Group:		%{group}
Requires:	%{name}

%description -n %{develname}
Development files for %{name}

%prep
%setup -q

%build

./configure	--prefix=%{_prefix}

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{_bindir}/%{name}-gen
%{_bindir}/%{name}d

%files -n %{libname}
%defattr(-,root,root,-)
%{_libdir}/%{libname}.*

%files -n %{develname}
%defattr(-,root,root,-)
%{_includedir}/%{name}/%{name}.h
%{_libdir}/pkgconfig/%{libname}.pc

%changelog
* Wed Dec 10 2008 KDulcimer <kdulcimer@gmail.com> 0.2.2-1tinyme2008
- build for pclinuxos